## org.red5.server.so
Interface ISharedObjectEvent

All Known Implementing Classes:
  SharedObjectEvent

    public interface ISharedObjectEvent

One update event for a shared object received through a connection.

Nested Class Summary
`static class` `ISharedObjectEvent.Type`

Method Summary
`String` `getKey()` Returns the key of the event.
`ISharedObjectEvent.Type` `getType()` Returns the type of the event.
`Object` `getValue()` Returns the value of the event.

Method Detail

### getType

    ISharedObjectEvent.Type getType()

  Returns the type of the event.

  Returns:
    the type of the event.

### getKey

    String getKey()

  Returns the key of the event. Depending on the type this contains:
  - the attribute name to set for SET_ATTRIBUTE
  - the attribute name to delete for DELETE_ATTRIBUTE
  - the handler name to call for SEND_MESSAGE
  In all other cases the key is `null`.

  Returns:
    the key of the event

### getValue

    Object getValue()

  Returns the value of the event. Depending on the type this contains:
  - the attribute value to set for SET_ATTRIBUTE
  - a list of parameters to pass to the handler for SEND_MESSAGE
  In all other cases the value is `null`.

  Returns:
    the value of the event

Copyright © 2006-2010 The Red5 Project